/*
 * TrkDedxNucleiCut.cpp
 *
 *  Created on: 8/jul/2010
 *      Author: Nicola Mori
 */

/*! @file TrkDedxNucleiCut.cpp The TrkDedxNucleiCut class implementation file. */

#include "TrkDedxNucleiCut.h"

int TrkDedxNucleiCut::Check(PamLevel2 *event) {

  TrkTrack *track = event->GetTrack(0)->GetTrkTrack();
  float R = track->GetRigidity();
  float dEdx = track->GetDEDX();

  if (dEdx < 3.7 + 4.8 / (R * R))
    return 0;

  return CUTOK;
}
